language: php

php:
  - 5.3
  - 5.4
  - 5.5

env:
    - SYMFONY_VERSION=2.1.*
    - SYMFONY_VERSION=2.2.*
    - SYMFONY_VERSION=2.3.*
    - SYMFONY_VERSION=2.4.*
    - SYMFONY_VERSION=dev-master

matrix:
    allow_failures:
        - env: SYMFONY_VERSION=dev-master

before_script:
    - composer self-update
    - composer require symfony/twig-bundle:${SYMFONY_VERSION} --no-update
    - composer require symfony/twig-bridge:${SYMFONY_VERSION} --no-update
    - composer require symfony/framework-bundle:${SYMFONY_VERSION} --no-update
    - composer require symfony/validator:${SYMFONY_VERSION} --dev --no-update
    - composer require symfony/console:${SYMFONY_VERSION} --no-update
    - composer require symfony/css-selector:${SYMFONY_VERSION} --dev --no-update
    - composer require symfony/browser-kit:${SYMFONY_VERSION} --dev --no-update
    - composer require symfony/yaml:${SYMFONY_VERSION} --dev --no-update
    - composer require symfony/form:${SYMFONY_VERSION} --dev --no-update
    - composer update

script: phpunit --coverage-text
